#
# spec file for package balsa (Version 1.1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile docbktls esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel imlib imlib-devel indent ispell jade_dsl libPropList libPropList-devel libgpp libjpeg libpng libtiff libungif libxml libxml-devel orbit orbit-devel pspell pspell-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbktls e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent ispell jade_dsl kbd less libPropList libPropList-devel libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps pspell pspell-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         balsa
%define prefix  /opt/gnome
%define sysconfdir /etc/opt/gnome
Copyright:	GPL
Group:		X11/GNOME/Network
Autoreqprov:	on
Version:      1.1.7
Release:      72
Summary:      The GNOME mail program
URL:		http://www.balsa.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-pspell.patch
Patch1:         %{name}-%{version}-ia64.patch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Nice program to manage e-mail.

Authors:
--------
    Bertrand Guiheneuf <Bertrand.Guiheneuf@inria.fr>
    Nat Friedman <nat@nat.org>
    George Lebl <jirka@5z.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    Jeff Garzik <jgarzik@pobox.com>
    Joel Becker <jlbec@ocala.cs.miami.edu>
    Ettore Perazzoli <ettore@comm2000.it>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Nuno Ferreira <nmrf@rnl.ist.utl.pt>
    Richard Hestilow <hestgray@ionet.net>
    Michael Lausch <mla@gams.at>
    Stuart Parmenter <pavlov@pavlov.net>
    Herbert Valerio Riedel <hvr@phoenix.twisted.hvrlab.ml.org>

SuSE series: gnm

%prep
%setup
%patch0
%patch1

%build
%{suse_update_config -f libmutt}
libtoolize --force
aclocal -I macros
automake
autoconf
(cd libmutt ; libtoolize --force ; autoconf )
export CFLAGS="$RPM_OPT_FLAGS" 
LIBS=-L/usr/X11R6/lib ./configure --enable-more-warnings=no \
				  --sysconfdir=%{sysconfdir} \
				  --prefix=%{prefix} \
				  --mandir=%{_mandir} \
				  --bindir=%{prefix}/bin \
				  --sysconfdir=%{sysconfdir} \
				  --datadir=%{prefix}/share \
				  --with-esmtp=no \
				  %{_target_cpu}-suse-linux
# we do use a newer orbit
(cd idl && rm balsa-skels.c balsa.h)
make

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} \
     bindir=$RPM_BUILD_ROOT%{prefix}/bin \
     datadir=$RPM_BUILD_ROOT%{prefix}/share \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     balsasoundsdir=$RPM_BUILD_ROOT%{prefix}/share/sounds/balsa \
     soundlistdir=$RPM_BUILD_ROOT%{sysconfdir}/sound/events \
     balsabitmapsdir=$RPM_BUILD_ROOT%{prefix}/share/pixmaps/balsa \
     gnomedatadir=$RPM_BUILD_ROOT%{prefix}/share \
     gnomeconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     infodir=$RPM_BUILD_ROOT%{_infodir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS HACKING docs/mh-mail-HOWTO
%doc docs/vconvert.awk docs/pine2vcard
%{prefix}/bin/balsa
%{prefix}/share/gnome/apps/Internet/balsa.desktop
%{prefix}/share/gnome/help/balsa/*
%{prefix}/share/locale/*/*/*
%{prefix}/share/pixmaps/*
%{prefix}/share/sounds/balsa/*
%{_mandir}/man1/balsa.1*
%config %{sysconfdir}/sound/events/*

%changelog -n balsa
* Fri Aug 17 2001 - adostal@suse.cz
- update to version 1.1.7
- create pspell patch and ia64 patch
- fixed specfile (neededforbuild, build, install)
* Fri Aug 10 2001 - ro@suse.de
- fixed specfile to build
* Tue Jun 26 2001 - ro@suse.de
- fix to build with new autoconf and c++-ed pspell
* Wed May 23 2001 - pblaha@suse.cz
- fix cast warning on ia64
* Thu Mar 29 2001 - pblaha@suse.cz
- fix compilation with pspell
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Jan 01 2001 - egger@suse.de
- Cleaned up specfile.
- Recompressed with bzip2.
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild for libPropList
* Wed Nov 15 2000 - hhetter@suse.de
- update to version 1.0.0
* Mon Nov 06 2000 - ro@suse.de
- fixed typos
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Sep 19 2000 - egger@suse.de
- Tweaked #neededforbuild again.
* Tue Sep 19 2000 - egger@suse.de
- Updated to version 0.9.5
- Tweaked specfile.
- Buildproofed on i386.
* Fri Sep 15 2000 - ro@suse.de
- fixed to compile
* Tue Sep 05 2000 - egger@suse.de
- Updated to version 0.9.4.
* Tue Aug 29 2000 - egger@suse.de
- Updated to version 0.9.3.
* Wed Jul 12 2000 - smid@suse.cz
- man page location changed (bugzilla #3099)
* Thu Jul 06 2000 - pthomas@suse.de
- use absolute path for man page symlink
* Fri Jun 09 2000 - smid@suse.cz
- upgrade to 0.8.0
* Thu Apr 13 2000 - smid@suse.cz
- upgrade to 0.6.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - ke@suse.de
- use libungif instead of libgif.
- use proplst and proplstd instead of wmaker.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Fri Feb 19 1999 - ke@suse.de
- use sysconfdir=/etc/opt/gnome.
* Fri Feb 19 1999 - ro@suse.de
- added esound and audiofil to neededforbuild
* Fri Feb 12 1999 - ke@suse.de
- #neededforbuild indent.
- rebuilt orbit's files.
* Thu Jan 28 1999 - ke@suse.de
- New package: initial version 0.4.9 (recommeded and prepared by ray).
